//****************************************************************************//
// File:          canpie_proc.h                                                   //
// Description:                                                               //
// Author:        Uwe Koppe                                                   //
// e-mail:        koppe@microcontrol.net                                      //
//                                                                            //
//============================================================================//
// This program is free software; you can redistribute it and/or modify       //
// it under the terms of the GNU Lesser General Public License as published   //
// by the Free Software Foundation; either version 2.1 of the License, or     //
// (at your option) any later version.                                        //
//============================================================================//
//                                                                            //
// Date        History                                                        //
// ----------  -------------------------------------------------------------- //
// 29.07.2003  Initial version                                                //
//                                                                            //
//****************************************************************************//


#ifndef  _CANPIE_PROC_H_
#define  _CANPIE_PROC_H_


//------------------------------------------------------------------------------
// CVS version information:
// $Id: canpie_proc.h,v 1.1 2005/06/01 21:18:19 microcontrol Exp $
//------------------------------------------------------------------------------


/*----------------------------------------------------------------------------*\
** Include files                                                              **
**                                                                            **
\*----------------------------------------------------------------------------*/


#include "canpie.h"
#include <linux/proc_fs.h>

//-----------------------------------------------------------------------------
/*!   \file    canpie_proc.h
**    \brief   /proc filesystem for CANpie
**
**
*/

int can_proc_init(void);
int can_proc_cleanup(void);

int can_proc_dev_add(int slCanIfV);

int can_proc_dev_remove(int slCanIfV);


#endif   /* _CP_PROC_H_ */
